
Foreman - Bug #32390

Search on Facts with 'not' returns wrong results

04/22/2021 11:37 AM - Ondřej Ezr

Status: New   

Priority: Normal   

Assignee:    

Category: Inventory   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1534416 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1534416

Description of problem:

When i use search pattern with negate 'not' pattern result is wrong.

Version-Release number of selected component (if applicable):

How reproducible:

Tested with customers database on remote session.

If required DB dumps can be obtained

Steps to Reproduce:

1. tried search pattern 'set? facts.net::interface::bond0' it returns around 1300 from 1600 hosts

2. tried search pattern 'not set? facts.net::interface::bond0' it returns around 1200 from 1600 hosts

Actual results:

1) returned in 1. 1300 hosts in 2. 1200 hosts (after check in return in 2 was also hosts with facts.net::interface::bond0 set)

Expected results:

1) should return in 1. 1300 hosts in 2. 300 hosts from 1600

Additional info:

History

#1 - 05/03/2021 07:43 AM - Adi Abramovitch

- Subject changed from Search on Facts with 'not' returns wrong results

 to Search on Facts with 'not' returns wrong results

- Assignee set to Adi Abramovitch

#2 - 05/13/2021 10:40 AM - Adi Abramovitch

- Assignee deleted (Adi Abramovitch)
